Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2914653002: Roll buildtools to 31d4da (Closed)

Created:
1 year, 11 months ago by Tom Anderson
Modified:
1 year, 11 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Roll buildtools to 31d4da This CL rolls in the following changes: https://chromium.googlesource.com/chromium/buildtools/+/3b8de5198d784fe2b7cc9f75dcf2ca8eb616a81e..31d4daad5d9af672d4e234570a24f3fd844bb713 The last reference to //build/config/compiler:pthread is removed, so this CL also removes the config. R=thakis@chromium.org,brettw@chromium.org BUG=593874 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_chromium_msan_rel_ng;master.tryserver.chromium.linux:linux_chromium_ubsan_rel_ng;master.tryserver.chromium.linux:linux_chromium_dbg_ng;master.tryserver.chromium.mac:mac_chromium_asan_rel_ng Review-Url: https://codereview.chromium.org/2914653002 Cr-Commit-Position: refs/heads/master@{#476586} Committed: https://chromium.googlesource.com/chromium/src/+/e8b52c26834fbeba662c6cf0073d88aefb7907a8

Patch Set 1 #

Patch Set 2 : Update buildtools revision to latest version #

Patch Set 3 : Update buildtools again #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -12 lines) Patch
M DEPS View 1 2 1 chunk +1 line, -1 line 0 comments Download
M build/config/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M build/config/BUILDCONFIG.gn View 1 1 chunk +0 lines, -1 line 0 comments Download
M build/config/compiler/BUILD.gn View 1 2 chunks +7 lines, -10 lines 1 comment Download

Messages

Total messages: 64 (55 generated)
Tom Anderson
Nico and Brett ptal
1 year, 11 months ago (2017-06-02 00:27:26 UTC) #51
Tom Anderson
Brett and Nico ptal
1 year, 11 months ago (2017-06-02 00:29:09 UTC) #52
Nico
Lgtm I had expected more things would keep the pthread config alive. But happy to ...
1 year, 11 months ago (2017-06-02 01:48:12 UTC) #55
brettw
lgtm
1 year, 11 months ago (2017-06-02 04:36:53 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2914653002/120001
1 year, 11 months ago (2017-06-02 05:41:21 UTC) #58
commit-bot: I haz the power
Committed patchset #3 (id:120001) as https://chromium.googlesource.com/chromium/src/+/e8b52c26834fbeba662c6cf0073d88aefb7907a8
1 year, 11 months ago (2017-06-02 05:46:19 UTC) #61
eugenis
On 2017/06/02 05:46:19, commit-bot: I haz the power wrote: > Committed patchset #3 (id:120001) as ...
1 year, 11 months ago (2017-06-05 19:44:29 UTC) #62
eugenis
On 2017/06/05 19:44:29, eugenis wrote: > On 2017/06/02 05:46:19, commit-bot: I haz the power wrote: ...
1 year, 11 months ago (2017-06-05 19:45:26 UTC) #63
Tom Anderson
1 year, 11 months ago (2017-06-05 19:47:07 UTC) #64
Message was sent while issue was closed.
On 2017/06/05 19:45:26, eugenis wrote:
> On 2017/06/05 19:44:29, eugenis wrote:
> > On 2017/06/02 05:46:19, commit-bot: I haz the power wrote:
> > > Committed patchset #3 (id:120001) as
> > >
> >
>
https://chromium.googlesource.com/chromium/src/+/e8b52c26834fbeba662c6cf0073d...
> > 
> > Hi,
> > 
> > this change broke build of sel_ldr in asan configuration.
> > 
> > With
> >   is_asan = true
> >   is_debug = false
> > in gn args, run
> >   ninja sel_ldr.
> > 
> >
../../native_client/src/trusted/service_runtime/linux/thread_suspension.c:272:
> > error: undefined reference to 'pthread_kill'
> > ../../native_client/src/shared/platform/posix/nacl_host_desc.c:177: error:
> > undefined reference to 'pthread_once'
> > ../../native_client/src/shared/platform/posix/nacl_host_desc.c:177: error:
> > undefined reference to 'pthread_once'
> > ../../native_client/src/shared/platform/posix/nacl_threads.c:56: error:
> > undefined reference to 'pthread_attr_setstacksize'
> >
>
/code/chromium/src/third_party/llvm-build/Release+Asserts/lib/clang/5.0.0/lib/linux/libclang_rt.asan-x86_64.a(asan_linux.cc.o):function
> > __asan::AsanDlSymNext(char const*): error: undefined reference to 'dlsym'
> > [...]
> 
>
https://build.chromium.org/p/chromium.fyi/builders/ClangToTLinuxASan/builds/7412

Fix for that: https://chromium-review.googlesource.com/c/518463/

Powered by Google App Engine
This is Rietveld 408576698